<?php
/**
 * Bee Real Estate Admin Class.
 *
 * @package Bee Real Estate
 * @since   1.0.0
 */
if (!defined('ABSPATH')) {
    exit;
}
if (!class_exists('SaleCraft_Ecommerce_Admin')) :
    /**
     * SaleCraft_Ecommerce_Admin Class.
     */
    class SaleCraft_Ecommerce_Admin
    {
        /**
         * Constructor.
         */
        public function __construct()
        {
            add_action('admin_enqueue_scripts', array($this, 'enqueue_scripts'));
        }

        /**
         * Localize array for import button AJAX request.
         */
        public function enqueue_scripts()
        {
            wp_enqueue_style(
                'bee-real-estate-admin-style',
                get_template_directory_uri() . '/inc/dashboard/css/admin.css',
                array(),
                BEE_REAL_ESTATE_VERSION
            );

            wp_enqueue_script('bee-real-estate-plugin-install-helper', get_template_directory_uri() . '/inc/dashboard/js/admin.js', array('jquery'), BEE_REAL_ESTATE_VERSION);
            $bee_real_estate_welcome_data = array(
                'uri' => esc_url(admin_url('/themes.php?page=bee-real-estate&tab=starter-templates')),
                'btn_text' => esc_html__('Processing...', 'bee-real-estate'),
                'nonce' => wp_create_nonce('bee_real_estate_demo_import_nonce'),
                'admin_url' => esc_url(admin_url()),
                'ajaxurl' => admin_url('admin-ajax.php'), // Include this line for using admin-ajax.php
            );
            wp_localize_script('bee-real-estate-plugin-install-helper', 'beerealestateRedirectDemoPage', $bee_real_estate_welcome_data);
        }

        
    }
endif;
return new SaleCraft_Ecommerce_Admin();
